Bug 490919 - imsettings slows down frame rates significantly in Linux Gaming. (10-30 FPS)
imsettings slows down frame rates significantly in Linux Gaming. (10-30 FPS)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 11:13 EDT by Ryan Waters
Modified: 2009-11-20 06:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 488976
Environment:
Last Closed: 2009-11-19 14:24:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Waters 2009-03-18 11:13:03 EDT
Description of problem: The new release of imsettings-0.105.1-4.fc10 causes games to slowdown 10-30 Frames Per Second.


Version-Release number of selected component (if applicable):

imsettings-0.105.1-4.fc10

How reproducible: 100%


Steps to Reproduce:
1.Enter into World of Warcraft (My example), Log in.
2.Start Frames Per Second Counter (Ctrl+R)
3.Move or press any key or hold any key and frames will drop.
  
Actual results: The Game beings to slow down as keys are pressed or held.


Expected results: The Game should not experience any frame loss as a result of a key press.  Especially not to the degree of 10-30 FPS.  Maybe only a couple of frames maximum as the screen is processing new data when turning etc.  imsettings inside of libgxim 3.1-1 functions properly in this respect, and was the last known working version if imsettings.


Additional info:I was working with a developer and started the bug report 488976 because of this issue, and he decided it was working well enough for an update release.  Before inside the games if you turned left, and let go, you would continue to turn left and that wasn't supposed to happen.  With sync_on_forward set to true with new version of imsettings-0.105.1-4.fc10, that issue is fixed however there is now a regression in the fact that there is a Frames per second loss when a key is pressed or held which results in a very bad gaming experience.  Sometimes game slows to a crawl.  

I have a GeForce 8600 GT by Nvidia, dual core intel processor at 3.0 Ghz, 4GB's of RAM running FC10 i386.  I did not experience this slowdown until libgxim-0.3.2-4.fc10 package was released.

Starting new bug report to fix this regression.
Comment 1 Jens Petersen 2009-06-24 04:50:09 EDT
Any change with imsettings-0.106 and libgxim-0.3.3 or F11?
Comment 2 Akira TAGOH 2009-06-24 04:57:12 EDT
Not certain fixes. but a workaround - XIM support in imsettings has been disabled in F-11 so this issue won't appears on F-11.
Comment 3 Bug Zapper 2009-11-18 04:55:21 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Ryan Waters 2009-11-19 14:24:31 EST
Bug was fixed some time ago.  Game no longer slows.  Not sure when it was fixed, but it was. Closing bug.
Comment 5 Ryan Waters 2009-11-20 06:10:06 EST
Bug was fixed some time ago.  Game no longer slows.  Not sure when it was fixed, but it was. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.